Crazy Eddies GUI System: CEGUI::StateImagery Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# CEGUI::StateImagery Class Reference

Class the encapsulates imagery for a given widget state. More...

Collaboration diagram for CEGUI::StateImagery:

[legend]
List of all members.

## Public Member Functions
| StateImagery ()
| Constructor.
| StateImagery (const String &name)
| Constructor.
void | render (Window &srcWindow, const ColourRect *modcols=0, const Rect *clipper=0) const
| Render imagery for this state.
void | render (Window &srcWindow, const Rect &baseRect, const ColourRect *modcols=0, const Rect *clipper=0) const
| Render imagery for this state.
void | addLayer (const LayerSpecification &layer)
| Add an imagery LayerSpecification to this state.
void | clearLayers ()
| Removed all LayerSpecifications from this state.
const String & | getName () const
| Return the name of this state.
bool | isClippedToDisplay () const
| Return whether this state imagery should be clipped to the display rather than the target window.
void | setClippedToDisplay (bool setting)
| Set whether this state imagery should be clipped to the display rather than the target window.
void | writeXMLToStream (OutStream &out_stream) const
| Writes an xml representation of this StateImagery to out_stream.

## Detailed Description

Class the encapsulates imagery for a given widget state.

## Constructor & Destructor Documentation

CEGUI::StateImagery::StateImagery | ( | const String & | name | ) |

  | Constructor. Parameters:
  | name | Name of the state

## Member Function Documentation

void CEGUI::StateImagery::addLayer | ( | const LayerSpecification & | layer | ) |

  | Add an imagery LayerSpecification to this state. Parameters:
  | layer | LayerSpecification to be added to this state (will be copied)
Returns: Nothing.

void CEGUI::StateImagery::clearLayers | ( |  | ) |

| Removed all LayerSpecifications from this state. Returns: Nothing.

const String & CEGUI::StateImagery::getName | ( |  | ) | const

| Return the name of this state. Returns: String object holding the name of the StateImagery object.

bool CEGUI::StateImagery::isClippedToDisplay | ( |  | ) | const

| Return whether this state imagery should be clipped to the display rather than the target window. Clipping to the display effectively implies that the imagery should be rendered unclipped. /return true if the imagery will be clipped to the display area. false if the imagery will be clipped to the target window area.

void CEGUI::StateImagery::render | ( | Window & | srcWindow,
|  | const Rect & | baseRect,
|  | const ColourRect * | modcols = `0`,
|  | const Rect * | clipper = `0`
| ) | const

  | Render imagery for this state. Parameters:
  | srcWindow | Window to use when convering BaseDim values to pixels.
  | baseRect | Rect to use when convering BaseDim values to pixels.
Returns: Nothing.

void CEGUI::StateImagery::render | ( | Window & | srcWindow,
|  | const ColourRect * | modcols = `0`,
|  | const Rect * | clipper = `0`
| ) | const

  | Render imagery for this state. Parameters:
  | srcWindow | Window to use when convering BaseDim values to pixels.
Returns: Nothing.

void CEGUI::StateImagery::setClippedToDisplay | ( | bool | setting | ) |

  | Set whether this state imagery should be clipped to the display rather than the target window. Clipping to the display effectively implies that the imagery should be rendered unclipped. Parameters:
  | setting | true if the imagery should be clipped to the display area. false if the imagery should be clipped to the target window area.
Returns: Nothing.

void CEGUI::StateImagery::writeXMLToStream | ( | OutStream & | out_stream | ) | const

  | Writes an xml representation of this StateImagery to out_stream. Parameters:
  | out_stream | Stream where xml data should be output.
Returns: Nothing.